/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * This code was generated by https://code.google.com/p/google-apis-client-generator/
 * (build: 2013-06-26 16:27:34 UTC)
 * on 2013-06-28 at 19:05:53 UTC 
 * Modify at your own risk.
 */

package com.google.api.services.translate.model;

/**
 * Model definition for TranslationsResource.
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the Translate API. For a detailed explanation see:
 * <a href="http://code.google.com/p/google-api-java-client/wiki/Json">http://code.google.com/p/google-api-java-client/wiki/Json</a>
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class TranslationsResource extends com.google.api.client.json.GenericJson {

  /**
   * Detected source language if source parameter is unspecified.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.String detectedSourceLanguage;

  /**
   * The translation.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.String translatedText;

  /**
   * Detected source language if source parameter is unspecified.
   * @return value or {@code null} for none
   */
  public java.lang.String getDetectedSourceLanguage() {
    return detectedSourceLanguage;
  }

  /**
   * Detected source language if source parameter is unspecified.
   * @param detectedSourceLanguage detectedSourceLanguage or {@code null} for none
   */
  public TranslationsResource setDetectedSourceLanguage(java.lang.String detectedSourceLanguage) {
    this.detectedSourceLanguage = detectedSourceLanguage;
    return this;
  }

  /**
   * The translation.
   * @return value or {@code null} for none
   */
  public java.lang.String getTranslatedText() {
    return translatedText;
  }

  /**
   * The translation.
   * @param translatedText translatedText or {@code null} for none
   */
  public TranslationsResource setTranslatedText(java.lang.String translatedText) {
    this.translatedText = translatedText;
    return this;
  }

  @Override
  public TranslationsResource set(String fieldName, Object value) {
    return (TranslationsResource) super.set(fieldName, value);
  }

  @Override
  public TranslationsResource clone() {
    return (TranslationsResource) super.clone();
  }

}
